Nsp Associations - List
Lists the NSP resource associations.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkSecurityPerimeters/{networkSecurityPerimeterName}/resourceAssociations?api-version=2023-08-01-preview
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkSecurityPerimeters/{networkSecurityPerimeterName}/resourceAssociations?api-version=2023-08-01-preview&$top={$top}&$skipToken={$skipToken}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
network
|
path | True |
string |
The name of the network security perimeter. |
|
resource
|
path | True |
string |
The name of the resource group. |
|
subscription
|
path | True |
string |
The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string |
Client API version. |
|
$skip
|
query |
string |
SkipToken is only used if a previous operation returned a partial result. If a previous response contains a nextLink element, the value of the nextLink element will include a skipToken parameter that specifies a starting point to use for subsequent calls. |
|
|
$top
|
query |
integer (int32) minimum: 1maximum: 20 |
An optional query parameter which specifies the maximum number of records to be returned by the server. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK - Returns the list of NSP resource associations. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
NspAssociationList
Sample request
GET https://management.azure.com/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/networkSecurityPerimeters/nsp1/resourceAssociations?api-version=2023-08-01-preview
Sample response
{
"value": [
{
"name": "association1",
"id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/networkSecurityPerimeters/nsp1/resourceAssociations/association1",
"type": "Microsoft.Network/networkSecurityPerimeters/resourceAssociations",
"properties": {
"provisioningState": "Succeeded",
"privateLinkResource": {
"id": "/subscriptions/{paasSubscriptionId}/resourceGroups/{paasResourceGroupName}/providers/{providerName}/{resourceType}/{resourceName}"
},
"profile": {
"id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/networkSecurityPerimeters/nsp1/profiles/{profileName}"
},
"accessMode": "Enforced",
"hasProvisioningIssues": "no"
}
},
{
"name": "association2",
"id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/networkSecurityPerimeters/nsp1/resourceAssociations/association2",
"type": "Microsoft.Network/networkSecurityPerimeters/resourceAssociations",
"properties": {
"provisioningState": "Succeeded",
"privateLinkResource": {
"id": "/subscriptions/{paasSubscriptionId}/resourceGroups/{paasResourceGroupName}/providers/{providerName}/{resourceType}/{resourceName}"
},
"profile": {
"id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/networkSecurityPerimeters/nsp1/profiles/{profileName}"
},
"accessMode": "Audit",
"hasProvisioningIssues": "no"
}
},
{
"name": "association3",
"id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/networkSecurityPerimeters/nsp1/resourceAssociations/association3",
"type": "Microsoft.Network/networkSecurityPerimeters/resourceAssociations",
"properties": {
"provisioningState": "Failed",
"privateLinkResource": {
"id": "/subscriptions/{paasSubscriptionId}/resourceGroups/{paasResourceGroupName}/providers/{providerName}/{resourceType}/{resourceName}"
},
"profile": {
"id": "/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.Network/networkSecurityPerimeters/nsp1/profiles/{profileName}"
},
"accessMode": "Learning",
"hasProvisioningIssues": "yes"
}
}
],
"nextLink": "{baseurl}/subscriptions/subId/resourceGroup/rg1/providers/Microsoft.Network/networkSecurityPerimeters/nsp1/resourceAssociations?api-version=2023-08-01-preview&$skipToken=10"
}
Definitions
| Name | Description |
|---|---|
|
Association |
Access mode on the association. |
|
Cloud |
An error response from the service. |
|
Cloud |
An error response from the service. |
|
Nsp |
The NSP resource association resource |
|
Nsp |
Result of the request to list NSP resource associations. Contains a list of NSP resource associations and a URL link to get the next set of results. |
|
nsp |
The provisioning state of the scope assignment resource. |
|
Sub |
Reference to another subresource. |
AssociationAccessMode
Access mode on the association.
| Value | Description |
|---|---|
| Learning | |
| Enforced | |
| Audit |
CloudError
An error response from the service.
| Name | Type | Description |
|---|---|---|
| error |
Cloud error body. |
CloudErrorBody
An error response from the service.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
| target |
string |
The target of the particular error. For example, the name of the property in error. |
NspAssociation
The NSP resource association resource
| Name | Type | Description |
|---|---|---|
| id |
string |
NSP resource association identifier. |
| location |
string |
Resource location. |
| name |
string |
The name of the resource that is unique within a resource group. This name can be used to access the resource. |
| properties.accessMode |
Access mode on the association. |
|
| properties.hasProvisioningIssues |
string |
Specifies if there are provisioning issues |
| properties.privateLinkResource |
The PaaS resource to be associated. |
|
| properties.profile |
Profile id to which the PaaS resource is associated. |
|
| properties.provisioningState |
The provisioning state of the resource association resource. |
|
| tags |
object |
Resource tags. |
| type |
string |
Resource type. |
NspAssociationsListResult
Result of the request to list NSP resource associations. Contains a list of NSP resource associations and a URL link to get the next set of results.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
Gets the URL to get the next page of results. |
| value |
Gets a page of NSP resource associations |
nspProvisioningState
The provisioning state of the scope assignment resource.
| Value | Description |
|---|---|
| Succeeded | |
| Creating | |
| Updating | |
| Deleting | |
| Accepted | |
| Failed |
SubResource
Reference to another subresource.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource ID. |